org.apache.sling.auth.xing.login

## Class XingLoginUtil

- java.lang.Object
- - org.apache.sling.auth.xing.login.XingLoginUtil

    public class XingLoginUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`XingLoginUtil()`

### Method Summary

Methods
`static org.apache.sling.auth.xing.api.XingUser` `fromJson(String json)`
`static String` `getHash(javax.jcr.Credentials credentials)`
`static String` `getUser(javax.jcr.Credentials credentials)`
`static String` `hash(String json, String secretKey, String hashAlgorithm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XingLoginUtil

    public XingLoginUtil()

### Method Detail

#### getHash

    public static String getHash(javax.jcr.Credentials credentials)

#### getUser

    public static String getUser(javax.jcr.Credentials credentials)

#### fromJson

    public static org.apache.sling.auth.xing.api.XingUser fromJson(String json)

#### hash

    public static String hash(String json,
              String secretKey,
              String hashAlgorithm)
                       throws InvalidKeyException,
                              NoSuchAlgorithmException,
                              UnsupportedEncodingException

Throws:
  `InvalidKeyException`
  `NoSuchAlgorithmException`
  `UnsupportedEncodingException`